Skip to content

GET /api/v3/agencies/{lcuid}/digital-board-agency-identifier-map/{agencyBoardIdentifier}

Summary

GET agencies/{id}/digital-board-agency-identifier-map/{agencyBoardIdentifier}

Description

Resolve an agency's board identifier to a digital board.

Tags: agencies

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Responses

Response: 200

Description: Sample Response

Content Type: application/json

Schema

Type: object

Properties:

  • success (boolean): Indicates whether the request was successful
  • digital_board (object) Type: object

Properties:

  • lcuid (string): The LCUID of the matching digital board
  • board_identifier (string): The matching digital board's identifier
Example Response
{
    "success": true,
    "digital_board": {
        "lcuid": "LCUID-LB-fbc60560-877a-4f7f-817b-99974d734596",
        "board_identifier": "1234-SF"
    }
}

Example Implementations

Bash (cURL)

curl --request GET \
  --url "https://api.lucit.app/api/v3/agencies/{lcuid}/digital-board-agency-identifier-map/{agencyBoardIdentifier}" \
  --header "Authorization: Bearer {AuthToken}" \
  --header "Content-Type: application/json" \
  --header "Accept: application/json" \
  --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = "https://api.lucit.app/api/v3/agencies/{lcuid}/digital-board-agency-identifier-map/{agencyBoardIdentifier}";

const headers = {
  "Authorization": "Bearer {AuthToken}",
  "Content-Type": "application/json",
  "Accept": "application/json",
  "AppIdV3": "LCUID-LAP-********-****-****-****-************"
};

fetch(url, {
  method: "GET",
  headers: headers
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));

PHP (Guzzle)

<?php

require_once 'vendor/autoload.php';

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.lucit.app/api/v3/agencies/{lcuid}/digital-board-agency-identifier-map/{agencyBoardIdentifier}', [
  'headers' => [
    'Authorization' => 'Bearer {AuthToken}',
    'Content-Type' => 'application/json',
    'Accept' => 'application/json',
    'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
  ]
]);

$body = $response->getBody();
$data = json_decode($body, true);
print_r($data);

Python (Requests)

import requests
import json

url = "https://api.lucit.app/api/v3/agencies/{lcuid}/digital-board-agency-identifier-map/{agencyBoardIdentifier}"

headers = {
  "Authorization": "Bearer {AuthToken}",
  "Content-Type": "application/json",
  "Accept": "application/json",
  "AppIdV3": "LCUID-LAP-********-****-****-****-************"
}

response = requests.get(url, headers=headers)
print(response.json())

← Back to agencies index | Back to main index